Bug 974077 - Review Request: perl-IO-Socket-PortState - Perl extension for checking the open or closed status of a port
Review Request: perl-IO-Socket-PortState - Perl extension for checking the op...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 910272
  Show dependency treegraph
 
Reported: 2013-06-13 07:50 EDT by Miro Hrončok
Modified: 2013-06-29 14:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-IO-Socket-PortState-0.03-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 01:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-06-13 07:50:20 EDT
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-IO-Socket-PortState.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-IO-Socket-PortState-0.03-1.fc18.src.rpm

Description: You can use it to check if a port is open or closed for a given host
and protocol.


Fedora Account System Username: churchyard
Comment 1 Petr Šabata 2013-06-13 08:30:22 EDT
Issues:

Missing BRs:
- perl, called in spec, line 21
- perl(Exporter), PortState.pm:7
- perl(IO::Socket::INET), PortState.pm:5
- perl(strict), PortState.pm:3 (optional)
- perl(warnings), PortState.pm:4 (optional)

No other issues found.
Comment 3 Petr Šabata 2013-06-13 09:28:25 EDT
--- a/perl-IO-Socket-PortState.spec
+++ b/perl-IO-Socket-PortState.spec
@@ -1,13 +1,18 @@
 Name:           perl-IO-Socket-PortState
 Version:        0.03
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Perl extension for checking the open or closed status of a port
 License:        GPL+ or Artistic
 URL:            http://search.cpan.org/dist/IO-Socket-PortState/
 Source0:        http://www.cpan.org/authors/id/D/DM/DMUEY/IO-Socket-PortState-%{version}.t
 BuildArch:      noarch
+BuildRequires:  perl
+BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(IO::Socket::INET)
+BuildRequires:  perl(strict)
 BuildRequires:  perl(Test::More)
+BuildRequires:  perl(warnings)
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
 %description
@@ -37,5 +42,8 @@ make test
 %{_mandir}/man3/*
 
 %changelog
+* Thu Jun 13 2013 Miro Hrončok <mhroncok@redhat.com> - 0.03-2
+- Adding missing BRs, as suggested by package reviewer (#974077)
+
 * Thu Jun 13 2013 Miro Hrončok <mhroncok@redhat.com> 0.03-1
 - Specfile autogenerated by cpanspec 1.78 and revised



---
Approving.
Comment 4 Miro Hrončok 2013-06-13 09:39:03 EDT
New Package SCM Request
=======================
Package Name: perl-IO-Socket-PortState
Short Description: Perl extension for checking the open or closed status of a port
Owners: churchyard
Branches: f17 f18 f19
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-06-13 09:58:29 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-13 10:57:11 EDT
perl-IO-Socket-PortState-0.03-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-IO-Socket-PortState-0.03-2.fc19
Comment 7 Fedora Update System 2013-06-13 10:58:24 EDT
perl-IO-Socket-PortState-0.03-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-IO-Socket-PortState-0.03-2.fc18
Comment 8 Fedora Update System 2013-06-13 10:59:22 EDT
perl-IO-Socket-PortState-0.03-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-IO-Socket-PortState-0.03-2.fc17
Comment 9 Fedora Update System 2013-06-13 14:05:00 EDT
perl-IO-Socket-PortState-0.03-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-23 01:54:52 EDT
perl-IO-Socket-PortState-0.03-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-06-23 01:59:03 EDT
perl-IO-Socket-PortState-0.03-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-06-29 14:47:18 EDT
perl-IO-Socket-PortState-0.03-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.